## org.flexdock.plaf.resources.border
Class SquareBevelBorderResource.SquareBevelBorder

    java.lang.Object
      org.flexdock.plaf.resources.border.SquareBevelBorderResource.SquareBevelBorder

All Implemented Interfaces:
  javax.swing.border.Border

Enclosing class:
  SquareBevelBorderResource

    public static class SquareBevelBorderResource.SquareBevelBorder

extends java.lang.Object
implements javax.swing.border.Border

Constructor Summary
`SquareBevelBorderResource.SquareBevelBorder(int lineWidth, java.awt.Color light, java.awt.Color dark)`

Method Summary
`java.awt.Insets` `getBorderInsets(java.awt.Component c)`
`boolean` `isBorderOpaque()`
`void` `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SquareBevelBorderResource.SquareBevelBorder

    public SquareBevelBorderResource.SquareBevelBorder(int lineWidth,
                                                       java.awt.Color light,
                                                       java.awt.Color dark)

Method Detail

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Specified by:
    `getBorderInsets` in interface `javax.swing.border.Border`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `javax.swing.border.Border`

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`